> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Hyperliquid



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /user-exchange/hyperliquid
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /user-exchange/hyperliquid:
    post:
      tags:
        - User exchange
      summary: Connect Hyperliquid
      operationId: UserExchangeController_setHyperliquidUserExchange
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetHyperliquidUserExchangeBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserExchangeDto'
      security:
        - bearer: []
components:
  schemas:
    SetHyperliquidUserExchangeBodyDto:
      type: object
      properties:
        apiWalletPrivateKey:
          type: string
          description: Hex-encoded string
          example: 0xabcdef...
        userAddress:
          type: string
          description: Ethereum address
          example: '0x1234567890abcdef1234567890abcdef12345678'
      required:
        - apiWalletPrivateKey
        - userAddress
      title: HyperliquidUserExchange
    UserExchangeDto:
      type: object
      properties:
        exchange:
          type: string
          enum:
            - aster
            - binance
            - bybit
            - extended
            - gate
            - hyperliquid
            - lighter
            - mexc
            - ondo
            - robinhood
          description: Perpetual exchange
        valid:
          type: boolean
          description: True if credentials are valid
      required:
        - exchange
        - valid
      title: UserExchange
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.